Get a project domain | Vercel REST API
Get a project domain
GET https://api.vercel.com/v9/projects/{idOrName}/domains/{domain}
Get project domain by project id/name and domain name.
TypeScript
const response = await fetch('https://api.vercel.com/v9/projects/idOrName/domains/domain?teamId=string&slug=string', {
method: 'GET',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);
Response
{
"apexName": "Example Name",
"createdAt": "123",
"customEnvironmentId": "example_id",
"gitBranch": "string",
"name": "Example Name",
"projectId": "example_id",
"redirect": "string",
"redirectStatusCode": "301",
"updatedAt": "123",
"verification": [
{
"domain": "string",
"reason": "Customer requested refund",
"type": "string",
"value": "string"
}
],
"verified": "false"
}
Authentication
Authorization
- Type: bearerToken
- Default authentication mechanism
Path parameters
- idOrName: string (Required) - The unique project identifier or the project name
- domain: string (Required) - The project domain name
Query parameters
- teamId: string (Optional) - The Team identifier to perform the request on behalf of.
- slug: string (Optional) - The Team slug to perform the request on behalf of.
Response
200 Success
- apexName: string (Required)
- createdAt: number (Optional)
- customEnvironmentId: string (Optional)
- gitBranch: string (Optional)
- name: string (Required)
- projectId: string (Required)
- redirect: string (Optional)
- redirectStatusCode: number (Optional)
- updatedAt: number (Optional)
- verification: array (Optional) - A list of verification challenges.
- verified: boolean (Required) -
trueif the domain is verified for use with the project.
Errors
- 400: One of the provided values in the request query is invalid.
- 401: The request is not authorized.
- 403: You do not have permission to access this resource.
- 410: Error